PYRO5-HTTPGATEWAY(1)

NAME
pyro5-httpgateway - Pyro http gateway command line launcher.

SYNOPSIS
 pyro5-httpgateway [-h] [-H HOST] [-c CORS] [-p PORT] [-e EXPOSE] [-g GATEWAYKEY] [-t TIMEOUT]

DESCRIPTION
This is a simple command line to easily get a http gateway server running.

OPTIONS

-h, --help
    show this help message and exit

-H HOST, --host HOST
    hostname to bind server on (default=localhost)

-c CORS, --cors CORS
    Allow cross origin domain/url

-p PORT, --port PORT
    port to bind server on (default=8080) -e EXPOSE, --expose EXPOSE a regex of object names to expose (default=http.) -g GATEWAYKEY, --gatewaykey GATEWAYKEY the api key to use to connect to the gateway itself -t TIMEOUT, --timeout TIMEOUT Pyro timeout value to use (COMMTIMEOUT setting, default=0.000000)

AUTHORS
Written by Irmen de Jong <irmen@razorvine.net>

This manual page was written by Bo YU <tsu.yubo@gmail.com>